/*
 * generated by Xtext 2.32.0
 */
package no.ntnu.tdt4250.componentsdsl.ui;

import com.google.inject.Injector;
import no.ntnu.tdt4250.componentsdsl.ui.internal.ComponentsdslActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class ComponentsDSLExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(ComponentsdslActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		ComponentsdslActivator activator = ComponentsdslActivator.getInstance();
		return activator != null ? activator.getInjector(ComponentsdslActivator.NO_NTNU_TDT4250_COMPONENTSDSL_COMPONENTSDSL) : null;
	}

}
